Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.datatype.xsd
Class XSDVocabulary

    java.lang.Object
      com.sun.msv.reader.datatype.xsd.XSDVocabulary

All Implemented Interfaces:
  DataTypeVocabulary, java.io.Serializable

public class XSDVocabulary
extends java.lang.Object
implements DataTypeVocabulary, java.io.Serializable

XSD implementation of `DataTypeVocabulary`.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `XMLSchemaNamespace` namespace URI of XML Schema
`static java.lang.String` | `XMLSchemaNamespace2`

Constructor Summary
`XSDVocabulary()`

Method Summary
`State` | `createTopLevelReaderState(StartTagInfo tag)` creates a State object that will parse the element specified by tag parameter.
`Datatype` | `getType(java.lang.String localTypeName)` resolves a type name to Datatype object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLSchemaNamespace

    public static final java.lang.String XMLSchemaNamespace

  namespace URI of XML Schema

  See Also:
    Constant Field Values

### XMLSchemaNamespace2

    public static final java.lang.String XMLSchemaNamespace2

See Also:
  Constant Field Values

Constructor Detail

### XSDVocabulary

    public XSDVocabulary()

Method Detail

### createTopLevelReaderState

    public State createTopLevelReaderState(StartTagInfo tag)

  Description copied from interface: `DataTypeVocabulary`
  creates a State object that will parse the element specified by tag parameter.

  Specified by:
    `createTopLevelReaderState` in interface `DataTypeVocabulary`
  Returns:
    null if given start tag is not recognized by this object. This method is called when an "island" of this vocabulary was found. The state returned from this method will be used to parse the root element of this island. The parent state of this state must implement TypeOwner or ExpressionOwner. In either case, the implementation must report its parsing result by calling either interface. If both interface is implemented, the implementation must notify via TypeOwner interface only and may not call methods of ExpressionOwner. If the parsed island is not a type definition (for example, comments or inclusion), the implementation may not call TypeOwner nor ExpressionOwner.

### getType

    public Datatype getType(java.lang.String localTypeName)
                     throws DatatypeException

  Description copied from interface: `DataTypeVocabulary`
  resolves a type name to Datatype object.

  Specified by:
    `getType` in interface `DataTypeVocabulary`
  Parameters:
    `localTypeName` - local part of the qualified name, like "string" or "integer". prefix part must be removed by the caller.
  Returns:
    a non-null valid datatype object.
  Throws:
    `DatatypeException` - if the specified type name is a valid type name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD